Subject: "HAAGENS,RANDY (HP-Roseville,ex1)": RE: IETF mailing list question on Storage over Ethernet/IP

From: Dave Nagle <[email-masked]>
Date: Fri, 26 May 2000 08:40:08 -0400

Jon,
  
  A few more comments on SCSI over IP.

 Also, anyone interested in this subject can subscribe to the IPS
reflector?  Info on the IPS reflector:

     IPS
     Name: IP Storage
     Purpose: Semi-official reflector for the IETF IPSWG communication.  Postings
     are made following "authors group" consensus.
     Hosted by: CMU
     Subscribe: Send mail to [email-masked] with the command subscribe ips

        E-mail: [email-masked]
        URL: http://www.ece.cmu.edu/~ips

------- Forwarded Message

Date:    Thu, 25 May 2000 21:38:11 -0700
From:    "HAAGENS,RANDY (HP-Roseville,ex1)" <[email-masked]>
To:      "'Dave Nagle'" <[email-masked]>
cc:      "Scsi-Tcp (E-mail)" <[email-masked]>
Subject: RE: IETF mailing list question on Storage over Ethernet/IP

Comments
- --------

1. I agree with your comments about TCP's being implemented in hardware.  It
will be as fast as any other protocol implemented in hardware.

2. Adaptec should speak for themselves; but I believe that the reference to
STP is a misunderstanding.  At the N+I conference, Adaptec demoed a software
prototype of their SCSI Encapsulation Protocol (SEP).  SEP allows SCSI to be
transported over a lightweight protocol of Adaptec's own design for the the
local area, or over TCP for the wide area.

3. The IP Storage Working Group (IBM, Cisco, HP, Adaptec, Quantum, EMC, and
others) are working on a mapping of SCSI to TCP, for use both in the WAN and
in the LAN.  All of us agree on the use of TCP as the transport for the WAN
and LAN, while a minority would probably favor using a lighter-weight
transport for the LAN.

In summary, TCP is suitable as the transport for the WAN and LAN, and it
will be as fast as any protocol when implemented in hardware.  Using a
single transport for the WAN and LAN removes the artificial barrier between
these two environments, and means that applications (like mirroring) can be
designed to scale seamlessly from the local to the wide area.

Randy Haagens
Networked Storage Architecture
Storage Organization
Hewlett-Packard Co.
e-mail: [email-masked]
tel: +1 916 785 4578
fax: +1 916 785 1911

> -----Original Message-----
> From: Dave Nagle [mailto:[email-masked]]
> Sent: Thursday, May 25, 2000 4:28 PM
> To: SCSI-over-TCP List
> Subject: IETF mailing list question on Storage over Ethernet/IP
> 
> 
> 
> 
> ------- Forwarded Message
> 
> Date:    Thu, 25 May 2000 22:55:49 -0000
> From:    Mike Fisk <[email-masked]>
> To:      Jon William Toigo <[email-masked]>
> cc:      [email-masked]
> Subject: Re: Storage over Ethernet/IP
> 
> On Thu, 25 May 2000, Jon William Toigo wrote:
> 
> > I am seeking a few points of clarification:
> > 
> > 1.  Fibre Channel folks have attempted to explain to me why TCP/IP
> > could NEVER be a viable interconnect for block level storage
> > operations.  They claim:
> > 
> > a.  TCP is too CPU intensive and creates too much latency 
> for storage
> > I/O operations.
> > 
> > b.  The IP stack is too top heavy and processing packet 
> headers is too
> > slow to support storage I/O operations.
> >
> > c.  The maximum throughput of a GE TCP/IP connection is 768 
> Mps, which
> > is too slow to support storage I/O operations.
> 
> This is not a theoretical limitation, but is in the ballpark 
> reported by
> many general-purpose operating systems with commodity hardware.  
> 
> >Is any of this true?
> 
> I don't believe that TCP/IP implementations couldn't be optimized to
> support full link rate and low latency.  If you're building a hardware
> adapter that can do SCSI and RAID fast, adding TCP shouldn't be
> prohibitively hard. 
> 
> > 2.  Adaptec has posited a replacement for TCP called STP 
> for use as a
> > transport for storage.  Does anyone know anything about this?
> 
> STP is the Scheduled Transfer protocol being standardized by 
> the ANSI T11
> folks.  ST was designed to run on top of GSN (a.k.a. 
> HIPPI-6400). In my
> opinion, it is as heavy-weight as TCP with respect to most of 
> the things
> stated above.  It does have the potential advantage of being 
> designed from
> scratch to support zero-copy access to user space using specialized
> interface cards.
> 
> > 3.  Current discussions of the SCSI over IP protocol seem to ignore
> > the issue of TCP or any other transport protocol.  Does anyone know
> > definitively what transport is being suggested by the 
> IBM/Cisco crowd?
> 
> I believe the assumption is that you will have a local network with no
> packet loss or significant bit error rate.  Basically, you assume that
> your ethernet is as reliable as your SCSI cable or 
> fiber-channel network.
> For a well engineered, fully-switched LAN, that may be a reasonable
> assumption.
> 
> - -- Mike Fisk, RADIANT Team, Network Engineering Group, Los 
> Alamos National
> Lab See http://home.lanl.gov/mfisk/ for contact information
> 
> 
> ------- End of Forwarded Message
> 
>